package iitb.cfilt.cpost.dmstemmer;

public class StemmerResult {
	String root;
	String clas;
	String suffix;
	String category;
	String ending;
	
	StemmerResult(){
		this.root = "";
		this.clas = "";
		this.suffix = "";
		this.category = "";
		this.ending = "";
	}
	
	StemmerResult(String root){
		this.root = root;
		this.clas = "";
		this.suffix = "";
		this.category = "";
		this.ending = "";
	}
	
	StemmerResult(String root, String clas, String suffix, String category, String ending){
		this.root = root;
		this.clas = clas;
		this.suffix = suffix;
		this.category = category;
		this.ending = ending;
	}
	StemmerResult(StemmerResult otherSR){
		this.root = otherSR.root;
		this.clas = otherSR.clas;
		this.suffix = otherSR.suffix;
		this.category = otherSR.category;
		this.ending = otherSR.ending;
	}
	
	public void println(){
		System.out.println("[ Root : " + root + ", Class : " + clas + ", Category : " + category + ", Suffix : " + suffix + " ]");
	}
	public void print(){
		System.out.print("[ Root : " + root + ", Class : " + clas + ", Category : " + category + ", Suffix : " + suffix + " ]");
	}
	public void printToAddBefore(){
		System.out.print("[ Root : " + root + ", Class : " + clas + ", Category : " + category + ", Suffix : " + suffix);
	}
	
	

	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}

	public String getClas() {
		return clas;
	}

	public void setClas(String clas) {
		this.clas = clas;
	}

	public String getRoot() {
		return root;
	}

	public void setRoot(String root) {
		this.root = root;
	}

	public String getSuffix() {
		return suffix;
	}

	public void setSuffix(String suffix) {
		this.suffix = suffix;
	}
}
